package cn.com.ty.lift.common.constants;

import java.util.HashMap;
import java.util.Map;

/**
 * @author huangyuan
 * @date 2019-12-11
 * @description 默认菜单常量
 */
public class DefaultMenuConstants {

    /**
     * 默认角色
     */
    public static final CommonEnum.DefaultRole[] DEFAULT_ROLE= {
            CommonEnum.DefaultRole.MTWORK,
            CommonEnum.DefaultRole.CLERK,
            CommonEnum.DefaultRole.FINANCE,
            CommonEnum.DefaultRole.REGION_DIRECTOR,
            CommonEnum.DefaultRole.HIGH_DIRECTOR,
    };
    /**
     * 维保工默认菜单
     */
    public static final long[] MTWORK_MENUIDS = {};
    /**
     * 文员默认菜单
     */
    public static final long[] CLERK_MENUIDS = {1L, 2L, 3L};
    /**
     * 财务默认菜单
     */
    public static final long[] FINANCE_MENUIDS = {};
    /**
     * 区域主管默认菜单
     */
    public static final long[] REGION_DIRECTOR_MENUIDS = {1L, 2L, 3L};
    /**
     * 高级主管默认菜单
     */
    public static final long[] HIGH_DIRECTOR_MENUIDS = {1L, 2L, 3L};
    /**
     * 默认角色对应菜单信息
     */
    public static Map<String, long[]> DEFAULT_ROLE_MENUIDS = new HashMap<>();

    static {
        //设置维保工默认菜单
        DEFAULT_ROLE_MENUIDS.put(CommonEnum.DefaultRole.MTWORK.getCode(), MTWORK_MENUIDS);
        //设置文员默认菜单
        DEFAULT_ROLE_MENUIDS.put(CommonEnum.DefaultRole.CLERK.getCode(), CLERK_MENUIDS);
        //设置财务默认菜单
        DEFAULT_ROLE_MENUIDS.put(CommonEnum.DefaultRole.FINANCE.getCode(), FINANCE_MENUIDS);
        //设置区域主管默认菜单
        DEFAULT_ROLE_MENUIDS.put(CommonEnum.DefaultRole.REGION_DIRECTOR.getCode(), REGION_DIRECTOR_MENUIDS);
        //设置高级主管默认菜单
        DEFAULT_ROLE_MENUIDS.put(CommonEnum.DefaultRole.HIGH_DIRECTOR.getCode(), HIGH_DIRECTOR_MENUIDS);
    }
}
