package cn.com.ty.lift.common.model;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Setter;

import java.io.Serializable;

/**
 * 分页查询请求基类，获取分页参数pageNum,pageSize，构建IPage对象
 *
 * @author wcz
 * @since 2020/02/08
 */
@Setter
public abstract class PageRequest implements Serializable {
    private long pageNum  = 1;
    private long pageSize = 10;
    /**
     * SQL 排序 ASC 数组
     */
    private String[] ascs;
    /**
     * SQL 排序 DESC 数组
     */
    private String[] descs;

    public <T> IPage<T> getPage() {
        Page<T> page = new Page<>(getPageNum(), getPageSize());
        page.setAsc(ascs);
        page.setDesc(descs);
        return page;
    }

    public long getPageNum() {
        return pageNum > 0 ? pageNum : 1;
    }

    public long getPageSize() {
        return pageSize > 0 ? pageSize : 10;
    }
}
